Package: org.grails.commons

## [Java] Class DefaultGrailsCodecClass.StreamingStateAwareEncoderWrapper

- org.grails.commons.DefaultGrailsCodecClass.StreamingStateAwareEncoderWrapper

- All Implemented Interfaces and Traits:
    StreamingEncoder

      private static class DefaultGrailsCodecClass.StreamingStateAwareEncoderWrapper
      extends StateAwareEncoderWrapper
      implements StreamingEncoder

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private StreamingEncoder` | `delegate` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingStateAwareEncoderWrapper (StreamingEncoder delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)`

- - ### Field Detail

    - #### private StreamingEncoder delegate

  - ### Constructor Detail

    - #### public StreamingStateAwareEncoderWrapper(StreamingEncoder delegate)

  - ### Method Detail

    - #### public void encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)